package macampcorp.macamp.activities;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Toast;

import macampcorp.macamp.game.Game;



public class LoadingActivity extends AppCompatActivity {

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data){
        if(requestCode==HostActivity.REQUEST_CODE)
            finish();
        else
            startGame();
    }


    public void startGame()
    {
        Intent intent = new Intent(this, HostActivity.class);
        startActivityForResult(intent, HostActivity.REQUEST_CODE);
        finish();
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_loading);

        //TutoActivity.start(this);
        //return;

        Game game=null;
        if(Game.game()==null)
        {
            Game g = Game.load(this);
            if (g != null ) {
                game = g;
                Game.setGame(game);
                Toast.makeText(this, "Chargement", Toast.LENGTH_SHORT).show();
            } else {
                game = new Game("game_medium", this);
                Game.setGame(game);
                Toast.makeText(this, "Nouveau Jeu", Toast.LENGTH_SHORT).show();
            }
        }

        startGame();


    }

    public void go(View v)
    {
        startGame();
    }


}
